> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all incidents

> Fetch all of the incidents of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/incidents
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/incidents:
    get:
      tags:
        - Incidents
      summary: Get all incidents
      description: Fetch all of the incidents of the specified vehicle
      operationId: getIncidents
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
      responses:
        '200':
          description: All incidents of a vehicle
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IncidentResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    IncidentResponse:
      type: object
      required:
        - id
        - title
        - reportTimestamp
        - isResolved
        - vehicleOperable
        - ocrStatus
      properties:
        id:
          type: string
        ocrStatus:
          $ref: '#/components/schemas/OcrStatus'
        title:
          type: string
          description: Title of the incident
        customer:
          $ref: '#/components/schemas/Customer'
        vehicleOperable:
          type: boolean
          description: >-
            Indicates whether the vehicle is currently allowed to drive with
            this damages or not
        incidentTimestamp:
          type: string
          format: date-time
          description: Datetime when the incident has happened
          example: '2025-10-07T10:24:41.143Z'
        reportTimestamp:
          type: string
          format: date-time
          description: Datetime when the report was created
          example: '2025-10-07T10:24:41.143Z'
        location:
          type: string
          description: Address where the incident has happened
        incidentType:
          type: string
        cause:
          type: string
        notes:
          type: string
        description:
          type: string
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
        isResolved:
          type: boolean
        damages:
          type: array
          items:
            $ref: '#/components/schemas/IncidentDamageResponse'
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
    Customer:
      type: object
      required:
        - mobilityProviderCountryCode
        - mobilityProviderCode
        - customerId
      properties:
        mobilityProviderCountryCode:
          type: string
          description: Mobility provider country code
          minLength: 2
          maxLength: 2
          example: AT
        mobilityProviderCode:
          type: string
          description: Mobility provider code
          minLength: 3
          maxLength: 3
          example: ABC
        customerId:
          type: string
          description: >-
            The user id in UUID format (only the versions 1, 2, 3 and 4 are
            currently supported)
          format: uuid
          example: 828c2d1c-d933-4138-9577-02c292b6d869
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
    IncidentDamageResponse:
      type: object
      required:
        - title
        - damageType
        - severity
        - repaired
        - position
      properties:
        title:
          type: string
        damageType:
          type: string
        severity:
          type: string
          enum:
            - light
            - moderate
            - high
        repaired:
          type: boolean
        position:
          $ref: '#/components/schemas/DamagePosition'
    DamagePosition:
      type: string
      enum:
        - front_upper_left_bumper
        - front_upper_center_bumper
        - front_upper_right_bumper
        - front_lower_left_bumper
        - front_lower_center_bumper
        - front_lower_right_bumper
        - front_left_grille
        - front_center_grille
        - front_right_grille
        - front_left_fender
        - front_right_fender
        - front_left_headlight
        - front_right_headlight
        - front_left_fog_light
        - front_right_fog_light
        - front_license_plate_area
        - front_upper_left_hood
        - front_upper_center_hood
        - front_upper_right_hood
        - front_lower_left_hood
        - front_lower_center_hood
        - front_lower_right_hood
        - front_left_windshield_base
        - front_center_windshield_base
        - front_right_windshield_base
        - front_left_wheel
        - front_right_wheel
        - rear_upper_left_bumper
        - rear_upper_center_bumper
        - rear_upper_right_bumper
        - rear_lower_left_bumper
        - rear_lower_center_bumper
        - rear_lower_right_bumper
        - rear_left_taillight
        - rear_right_taillight
        - rear_license_plate_area
        - rear_trunk_upper_left
        - rear_trunk_upper_center
        - rear_trunk_upper_right
        - rear_trunk_lower_left
        - rear_trunk_lower_center
        - rear_trunk_lower_right
        - rear_left_fender
        - rear_right_fender
        - rear_windshield_upper_left
        - rear_windshield_upper_center
        - rear_windshield_upper_right
        - rear_windshield_lower_left
        - rear_windshield_lower_center
        - rear_windshield_lower_right
        - rear_left_wheel
        - rear_right_wheel
        - left_front_fender_upper
        - left_front_fender_lower
        - left_rear_fender_upper
        - left_rear_fender_lower
        - left_a_pillar
        - left_b_pillar
        - left_c_pillar
        - left_front_door_upper
        - left_front_door_center
        - left_front_door_lower
        - left_rear_door_upper
        - left_rear_door_center
        - left_rear_door_lower
        - left_side_skirt_front
        - left_side_skirt_center
        - left_side_skirt_rear
        - left_side_mirror_upper
        - left_side_mirror_lower
        - left_front_window_upper
        - left_front_window_lower
        - left_rear_window_upper
        - left_rear_window_lower
        - left_front_wheel
        - left_rear_wheel
        - right_front_fender_upper
        - right_front_fender_lower
        - right_rear_fender_upper
        - right_rear_fender_lower
        - right_a_pillar
        - right_b_pillar
        - right_c_pillar
        - right_front_door_upper
        - right_front_door_center
        - right_front_door_lower
        - right_rear_door_upper
        - right_rear_door_center
        - right_rear_door_lower
        - right_side_skirt_front
        - right_side_skirt_center
        - right_side_skirt_rear
        - right_side_mirror_upper
        - right_side_mirror_lower
        - right_front_window_upper
        - right_front_window_lower
        - right_rear_window_upper
        - right_rear_window_lower
        - right_front_wheel
        - right_rear_wheel
        - roof_upper_left
        - roof_upper_center
        - roof_upper_right
        - roof_middle_left
        - roof_middle_center
        - roof_middle_right
        - roof_lower_left
        - roof_lower_center
        - roof_lower_right
        - sunroof_upper_left
        - sunroof_upper_right
        - sunroof_lower_left
        - sunroof_lower_right
        - sunroof_center
        - antenna
        - dashboard_left
        - dashboard_center
        - dashboard_right
        - steering_wheel
        - center_console
        - front_left_seat_backrest
        - front_left_seat_base
        - front_right_seat_backrest
        - front_right_seat_base
        - rear_left_seat_backrest
        - rear_left_seat_base
        - rear_center_seat_backrest
        - rear_center_seat_base
        - rear_right_seat_backrest
        - rear_right_seat_base
        - headliner_front_left
        - headliner_front_center
        - headliner_front_right
        - headliner_rear_left
        - headliner_rear_center
        - headliner_rear_right
        - carpet_front_left
        - carpet_front_right
        - carpet_rear_left
        - carpet_rear_center
        - carpet_rear_right
        - left_front_door_trim
        - right_front_door_trim
        - left_rear_door_trim
        - right_rear_door_trim
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````